//检测参数设置
function ValidateNum(item,type,str)
{
	var returnVal = 0;
	var intVal;
	var strVal = new String(item.val());
	var ch;
	var i;
	var j;  	
	if(type == "CHPID")//指定PID
	{
		if(strVal=="")//不能为空
	   	{
			alert("请输入"+str);
			item.focus();
			return false; 
	    }
		if(strVal.length == 1)//如果输入一位数，那么必须为1~9的十进制数
		{
			ch0 = strVal.charAt(0);
			if(ch0 < '0' || ch0 > '9')
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
		}
		else//长度大于1的情况 
		{	
			ch0 = strVal.charAt(0);
			ch1 = strVal.charAt(1);
			if(((ch0 == '0')&&(ch1 == 'x'))||((ch0 == '0')&&(ch1 == 'X')))//如果是0x开头，默认为输入十六进制数据
			{
				if(strVal.length == 2)
				{
					alert(str+"请输入合法的数值!");
					item.focus();
					return false;
				}
				for ( i = 0 ; i < strVal.length-2; i++ )
				{      
					ch = strVal.charAt(i+2);
					if(ch < '0' || ch > '9'&& ch < 'A' || ch > 'F' && ch < 'a' || ch > 'f')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),16);
				if((intVal <0)||(intVal > 8191))
				{
					alert(str+"必须在0x0000~0x1fff之间!");
					item.focus();
					return false;
				}
			}
			else if((ch0 == '0')&&(parseInt(item.val())!=0))//否则的话不能以0作为开头
			{
				alert(str+"请输入合法的数值!");
				item.focus();
				return false;
			}
			else//认为输入十进制数
			{
				for ( i = 0 ; i < strVal.length ; i++ )
				{      
					ch = strVal.charAt(i);
					if(ch < '0' || ch > '9')
					{
						alert(str+"请输入合法的数值!");
						item.focus();
						return false;
					}
				}
				intVal= parseInt(item.val(),10);
				if((intVal <0)||(intVal > 8191))
				{
					alert(str+"必须0~8191之间!");
					item.focus();
					return false;
				}
			}
		} 
	}	
   return true;	
}